Switch language

Sandbox

Explore every endpoint with simulated responses — no credentials required.

POST /folder/create

Create Folder

Create a new folder, optionally password-protected.

Name of the new folder

Parent folder ID (for nesting)

Password to protect the folder

Reset form

Click "Send request" to see a simulated response.

Code Examples

<?php
$ch = curl_init('https://rediafile.com/cloud/api/v2/folder/create');
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($ch, CURLOPT_HTTPHEADER, ['Authorization: Bearer ' . $token]);
curl_setopt($ch, CURLOPT_POSTFIELDS, [
    'folder_name' => 'My New Folder',
    'parent_id' => 'fld_root',
    'password' => 'secret',
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);